# List active GitLab connections for the current tenant

Source: https://docs.levelfour.ai/api-reference/accounts/get-accounts-gitlab-connections


## GET /api/v1/accounts/gitlab/connections

### Authentication

Send `Authorization: Bearer <token>`.

### Responses

#### 200: Successful Response

- `success` (boolean, default `true`)
- `timestamp` (date-time string)
- `data` (object, required)
  - `items` (array of object, required)
    - `connection_id` (string, required): Opaque identifier for the connection, used to disconnect it
    - `namespace` (string, required): Connected path: a group full path (scope=group) or a project full path (scope=project)
    - `scope` (one of `group`, `project`, required): Whether an entire group or a single project is connected
    - `gitlab_host` (string, required): Base URL of the GitLab instance the connection targets
    - `connected_at` (date-time string, nullable)

#### Errors

- `400`: Bad Request
- `401`: Authentication Error
- `403`: Authorization Error
- `404`: Not Found
- `409`: Conflict
- `422`: Validation Error
- `429`: Rate Limit Exceeded
- `500`: Internal Server Error

Body of `400`, `401`, `403`, `404`, `409`, `422`, `429`, `500`:

- `success` (`false`, required)
- `error` (object, required)
  - `code` (string, required)
  - `message` (string, required)
  - `details` (any)
- `timestamp` (date-time string, required)
